@import "@/styles/variables";

.filters {
    grid-area: filters;
    display: flex;
    flex-direction: column;
    gap: 2rem;

    h4 {
        display: none;

        @include notebook {
            display: block;
        }
    }

    button {
        width: 100%;

        @include notebook {
            width: unset;
        }
    }

    .filter-list {
        @include notebook {
            background: $white;
            padding: 1rem;
            height: fit-content;

            @include card-shadow;
        }

        .mobile-visible {
            display: flex;

            @include notebook {
                display: none;
            }
        }

        .desktop-visible {
            display: none;

            @include notebook {
                display: block;
            }
        }
    }

    &:focus-visible {
        border: 2px solid $secondary-color;
    }
}


